document.addEventListener('DOMContentLoaded', () => {
  const title = document.querySelector('.title');
  
  // Add rainbow effect on hover
  title.addEventListener('mouseover', () => {
    const colors = ['#ff6b6b', '#4ecdc4', '#ffe66d', '#2c3e50'];
    let i = 0;
    
    const interval = setInterval(() => {
      title.style.color = colors[i];
      i = (i + 1) % colors.length;
    }, 200);
    
    title.addEventListener('mouseout', () => {
      clearInterval(interval);
      title.style.color = '#2c3e50';
    }, { once: true });
  });
  
  // Add particles on click
  document.addEventListener('click', (e) => {
    const particle = document.createElement('span');
    particle.className = 'element';
    particle.style.left = e.pageX + 'px';
    particle.style.top = e.pageY + 'px';
    particle.textContent = '✨';
    document.body.appendChild(particle);
    
    setTimeout(() => particle.remove(), 1000);
  });
});